<?php
/**
 * Gomax Theme functions.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.
//raz0r
update_option( 'envato_purchase_code_54369926', '*****************' );
update_option( 'gomax_licence_key', '1' );
require_once ( get_template_directory() . '/inc/config/theme-functions.php' );
require_once ( get_template_directory() . '/inc/config/theme-support.php' );
require_once ( get_template_directory() . '/inc/resources/enqueue-assets.php' );
require_once ( get_template_directory() . '/inc/resources/customizer.php' );
require_once ( get_template_directory() . '/inc/component/navigation.php' );
require_once ( get_template_directory() . '/inc/component/search-form.php' );
require_once ( get_template_directory() . '/inc/component/breadcrumb.php' );
require_once ( get_template_directory() . '/inc/component/sidebar.php' );
require_once ( get_template_directory() . '/inc/component/post-taxonomy.php' );
require_once ( get_template_directory() . '/inc/component/post-navigation.php' );
require_once ( get_template_directory() . '/inc/component/post-reference.php' );
require_once ( get_template_directory() . '/inc/component/post-comments.php' );
require_once ( get_template_directory() . '/inc/admin/control-panel.php' );
require_once ( get_template_directory() . '/inc/utils/import-demo-data.php' );

/**
 * Requires TGM plugin activation class.
 * 
 * @package Gomax
 * @since 1.0.0
 */
require_once ( get_template_directory() . '/inc/utils/class-tgm-plugin-activation.php' );
require_once ( get_template_directory() . '/inc/utils/register-required-plugins.php' );

/**
 * Requires third-party plugin support functions.
 * 
 * @package Gomax
 * @since 1.0.0
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require_once ( get_template_directory() . '/inc/support/jetpack.php' );
}