<?php
/**
 * Theme root where the template parts start.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

get_header();

if ( is_singular() ) {
	get_template_part( 'template-parts/single' );

} elseif ( is_archive() || is_home() ) {
	get_template_part( 'template-parts/archive' );

} elseif ( is_search() ) {
	get_template_part( 'template-parts/search' );

} else {
	get_template_part( 'template-parts/404' );
}

get_footer();