<?php
/**
 * This is the main footer template.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.
?>
<footer id="footer" class="footer-section">
	<div class="bottom-bar">
		<div class="text">
			<?php echo 'Copyright © ' . date( 'Y' ); ?>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
				<?php bloginfo( 'name' ); ?>
			</a>
			<?php bloginfo( 'description' ); ?>
		</div>
	</div>
</footer>